Subject: Re: bash: bug in parameter passing
From: Karel Sprenger <[email-masked]>
To: "Jean-Paul de Gier" <[email-masked]>
Cc: <[email-masked]>
Date: 15 May 2001 17:03:51 +0200

Hi,

>>> On Tue, 15 May 2001 13:48:17 +0200, Jean-Paul de Gier (Jean-Paul)
>>> wrote:
Jean-Paul> 
Jean-Paul> Hi,
Jean-Paul> Consider the following script:
Jean-Paul> 
Jean-Paul> #test 
Jean-Paul> echo parameter $1
Jean-Paul> 
Jean-Paul> which is called by this script:
Jean-Paul> 
Jean-Paul> # testparam
Jean-Paul> echo testparam $1
Jean-Paul>   test param1
Jean-Paul> 
Jean-Paul> Notice the dot in front of the call of script test.
Jean-Paul> If you run the last script, say testparam 123
Jean-Paul> then you will see:
Jean-Paul> testparam 123
Jean-Paul> parameter 123
Jean-Paul> 
Jean-Paul> instead of:
Jean-Paul> testparam 123
Jean-Paul> parameter param1
Jean-Paul> 
Jean-Paul> I would say that this is a bug.
Jean-Paul> 

With Bash 2.05.0(6) I get the expected rather than the erroneous
result.  However I had to change the third line of script testparam to
read ". ./test" else bash would complain it couldn't find
/usr/bin/test.

Cheers,
Karel

-- 
Karel Sprenger, senior solution specialist
COMPAQ, Professional Services
Phone:  +31 (30) 283 4542           Private: +31 (20) 670 0942
E-mail: [email-masked]   Private: [email-masked]
"Memory fault -- core...uh...um...core... Oh dammit, I forget!"

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple